Create Customer

Create a Customer

The Create Customer endpoint creates a new customer entity. The customer must be created with either phone or e-mail.
If a customer with the same phone or e-mail exists - the existing customer will be updated and returned and a new customer won't be created.

📘

What is Customer?

A customer is a person waiting somewhere. This is the person we don’t want to be waiting unknowingly: whether they are the restaurant waiting for the driver pick up or the consumer waiting for their food - they are both contacts the driver will see and will communicate with.

📘

What is Confirmation Code?

This is a String, generated by you, that is used to help in the verification of the customer's identity when authenticating by phone number.

🚧

Using the Mobile SDK

if you are using the mobile sdk and would want to sign-in your customer using bringg, your create customer request must include:

  1. confirmation_code.
  2. allow_login : true
curl --include \
     --request POST \
     --header "Content-Type: application/json" \
     --data-binary "{ \"company_id\": 1, \"name\": \"Ralph M. Anderson\", \"email\": \"[email protected]\", \"address\": \"3895 Ray Court Pinehurst, NC 28374\", \"phone\": \"910-295-9731\", \"lat\": 32.453453, \"lan\": 34.434233, \"timestamp\":\"1414421210832\", \"access_token\":\"K2Pxkwvx6-3PtW44zvEV\", \"signature\":\"db00061fa75f869c968f72d48449e457ae06959a\"}" \
https://api.bringg.com/partner_api/customers/
Body Params
string
required

Name of customer

int32
required

Unique identifier representing a company (Merchant ID)

string

Address of customer

string

Extra information about the address e.g. floor #, apartment #

string
string
string
string
string
required

Phone of customer. Required (if no E-mail)

string

E-mail of customer. Required (if no Phone)

double

Latitude component of customer location

double

Longitude component of customer location

string

Customer external ID

boolean

Access customer to login (values: "true", "false" or 0, 1)

string

Confirmation code to approve login via phone number

boolean
Defaults to true

Allows to opt out of email sharing for customer (values: "true", "false" or 0, 1)

boolean
Defaults to true

Allows to opt out of phone sharing for customer (values: "true", "false" or 0, 1)

string

2-letter language code e.g. "en", "fr". Used to set the language in which the Customer App appears (if you want it to be different from the merchant account default)

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json